#
# spec file for package diffutils
#
# Copyright (c) 2022-2023 ZhuningOS
#


Name:           diffutils
Version:        3.6
Release:        4.3.1
Summary:        GNU diff Utilities
License:        GFDL-1.2 and GPL-3.0+
Group:          Productivity/Text/Utilities
Url:            https://www.gnu.org/software/diffutils/
Source0:        https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz
Source1:        https://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.xz.sig
Source2:        %{name}.keyring
%ifarch ppc64le ppc64
Patch0:         ppc64_disable_failing_test.patch
%endif
BuildRequires:  xz
Requires(pre):  %{install_info_prereq}
Requires(preun): %{install_info_prereq}
Recommends:     %{name}-lang = %{version}
Provides:       diff = %{version}
Obsoletes:      diff < %{version}

%description
The GNU diff utilities find differences between files. diff is used to
make source code patches, for instance.

%lang_package

%prep
%setup -q
%ifarch ppc64le ppc64
%patch0 -p1
%endif

%build
export CFLAGS="%{optflags} -fPIE"
export LDFLAGS="-pie"
%configure \
  --with-packager="openSUSE" \
  --with-packager-bug-reports="http://bugs.opensuse.org/"
make %{?_smp_mflags} V=1

%check
make %{?_smp_mflags} check

%install
%make_install
%find_lang %{name}

%post
%install_info --info-dir=%{_infodir} %{_infodir}/%{name}.info%{ext_info}

%preun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/%{name}.info%{ext_info}

%files
%defattr(-,root,root)
%license COPYING
%doc AUTHORS NEWS README THANKS
%{_bindir}/cmp
%{_bindir}/diff
%{_bindir}/diff3
%{_bindir}/sdiff
%{_infodir}/diffutils.info%{ext_info}
%{_mandir}/man1/cmp.1%{ext_man}
%{_mandir}/man1/diff.1%{ext_man}
%{_mandir}/man1/diff3.1%{ext_man}
%{_mandir}/man1/sdiff.1%{ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root,-)

%changelog
